SDL_WarpMouseGlobal(3)

NAME
SDL_WarpMouseGlobal - Move the mouse to the given position in global screen space.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_WarpMouseGlobal(float x, float y);

DESCRIPTION
This function generates a mouse motion event.

A failure of this function usually means that it is unsupported by a platform.

Note that this function will appear to succeed, but not actually move the mouse when used over Microsoft Remote Desktop.

FUNCTION PARAMETERS

x   the x coordinate.

y   the y coordinate.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_WarpMouseInWindow(3)